<template>
  <div class="list">
    <v-top :list ="list"></v-top>
    <div class="address" v-if="datas.length===0">暂无地址，可新建</div>
    <div class="addlist" :style="{height:screenHeight+'px'}">
    <div class="item" v-for="(item,index) in datas" :key="index" @click="selectAddress(item)">
      <p class="name">{{item.name}}</p>
      <p>{{item.phone}}</p>
      <p>{{item.province}}{{item.city}}{{item.district}}{{item.address}}</p>
      <img :src="editurl" @click="add('edit',item)"/>
    </div>
    </div>
    <div class="footer">
      <v-footer :footer="'添加地址'" @footerEmit="add('add')"></v-footer>
    </div>
  </div>
</template>

<script type="text/ecmascript-6">
  import {VeevlinkLogin,VeevlinkIslogin,VeevlinkClient,VeevlinkData} from '@/utils/base'
  import {get,showToast,setStorageSync,getStorageSync,scanCode} from '@/util'
  import top from '@/components/top/top.vue'
  import footer from '@/components/footer/footer.vue'
  import config from '@/config'
  import store from '@/store'
  import {mapMutations} from 'vuex';
  export default {
    data(){
      return{
        queryInfo:{},
        editurl:config.url +'edit.png',
      screenHeight:'',
       datas:[],
       list:[],
      }
    },
    components:{
      'v-top': top,
      'v-footer': footer,
    },
    methods:{
      ...mapMutations(['SAVE_ADDRESS_SESSION']),
      //选择地址
      selectAddress(item){
        if(this.queryInfo.type==='select'){
          wx.navigateBack({
            delta: 1 //返回的页面数，如果 delta 大于现有页面数，则返回到首页,
          });
          this.SAVE_ADDRESS_SESSION(item)
        }
      },
        //添加地址
        add(data,list){
            console.log('添加地址');
            store.commit('add',['addlist','list',list]);
            console.log(store.state.addlist.list);
            config.href(config.address.add + '?data='+data);
        },
        //获取地址信息
          getAjax(){
        let that = this;
        let VerificationCodeEntity =  wx.getStorageSync('informationwx23bcedfe9e867c13');
        let memberId = wx.getStorageSync('memberid');
        VeevlinkClient(
          '/member/address/list?openId='+VerificationCodeEntity.OpenId + '&memberId='+memberId,
          'GET',
          '',
          function (data) {
            console.log(data);
            if(data.success){
              if(data.records[0]){
                that.datas = data.records;
              }else{
                
              }
            }else{
              that.hintbox.show = true;
              that.hintbox.text = success.message;
            }
          },
          function (error) {
            console.log(error);
          })
      }
        

    },
    onLoad(data){
      let that = this;
      this.getAjax();
      wx.getSystemInfo({
        success: function(res) {
          console.log(res);
          that.screenHeight = res.windowHeight - 100;
          console.log('that.screenHeight',that.screenHeight);
        } })
      this.queryInfo = data
    },
  }
</script>
<style>
page{
  width:100%;
  height:100%;
  background:#EAEAEA;
}
</style>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" type="text/scss" scoped>
.list{
    .addlist{
      position:relative;
      top:0.8rem;
      padding-top:0.08rem;
      //border:1px solid red;
      overflow:scroll;
      .item{
        width:6.66rem;
        height:1.76rem;
        background:#fff;
        margin:0.24rem 0.4rem;
        padding-top:0.24rem;
        p{
           margin-left:0.24rem;
           margin-top:0.12rem;
          font-size:0.24rem;
          color:#727171;

        }
        .name{
          font-size:0.28rem!important;
          color:#333333!important;
        }
        img{
          width:0.36rem;
          height:0.35rem;
          right:0.86rem;
          position:absolute;
          margin-top:-0.6rem;
        }
      }
    }
    .address{
      margin-top: 70%;
      text-align: center;
      color:#727171;
      font-size:0.28rem;

    }
    .footer{
        width: 100%;
        position: fixed;
        bottom: 0;
        height:0.88rem;
        background:#fff;
        padding-top:0.3rem;
    }
}

</style>
